<?php

if ( ! isset( $content_width ) )
	$content_width = 690;
    
add_action( 'after_setup_theme', 'ggsimplewhite_setup' );

if ( ! function_exists( 'ggsimplewhite_setup' ) ):
function ggsimplewhite_setup() {
	define( 'HEADER_IMAGE', '%s/images/banner.jpg' );
	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'header_image_width', 690 ) );
	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'header_image_height', 228 ) );
	define( 'NO_HEADER_TEXT', true );
	add_custom_image_header( '', 'ggsimplewhite_header_style' );
	add_theme_support( 'automatic-feed-links' );
	register_nav_menus( array(
		'primary' => 'Primary Navigation',
	) );
}
endif;
// widgets
function ggsimplewhite_widgets_init() {
	register_sidebar( array(
		'name' => 'Primary Widget Area',
		'id' => 'primary-widget-area',
		'description' => 'The primary widget area',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	register_sidebar( array(
		'name' => '1st Footer Widget Area',
		'id' => 'first-footer-widget-area',
		'description' => 'The first footer widget area',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h4 class="widget-title">',
		'after_title' => '</h4>',
	) );
	register_sidebar( array(
		'name' => '2nd Footer Widget Area',
		'id' => 'second-footer-widget-area',
		'description' => 'The second footer widget area',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h4 class="widget-title">',
		'after_title' => '</h4>',
	) );
	register_sidebar( array(
		'name' => '3d Footer Widget Area',
		'id' => 'third-footer-widget-area',
		'description' => 'The third footer widget area',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h4 class="widget-title">',
		'after_title' => '</h4>',
	) );
	register_sidebar( array(
		'name' => '4th Footer Widget Area',
		'id' => 'fourth-footer-widget-area',
		'description' => 'The fourth footer widget area',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h4 class="widget-title">',
		'after_title' => '</h4>',
	) );
}
add_action( 'widgets_init', 'ggsimplewhite_widgets_init' );
// comments
function print_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment; ?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div class="comment-body" id="comment-<?php comment_ID() ?>">
			<?php echo get_avatar($comment, 70, get_bloginfo('stylesheet_directory') . '/images/avatar.gif'); ?>
			<span class="author">
				<?php comment_author_link() ?>
			</span>
			<p class="comment-meta">
				<?php comment_date() ?> at <?php comment_time() ?>
			</p>
			<div class="comment-content">
				<?php if ($comment->comment_approved == '0') : ?>
			        <em>Your comment is awaiting moderation.</em><br />
			  <?php endif; ?>			    
				<?php comment_text() ?>
				<div class="alignleft"><?php edit_comment_link('(Edit)','  ','') ?></div>				
			</div>
			<div class="reply">
		        <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
		  </div>
			<div class="clear">&nbsp;</div>
		</div>
	<?php
}
?>